/// @file Colour.vs
/// @brief a basic unshaded solid colour shader used with Colour.fs
/// @brief our projection matrix generated from the Camera
uniform mat4 projectionMatrix;
/// @brief our ViewMatrix generated from the Camera
uniform mat4 ViewMatrix;
/// @brief our ModelMatrix generated from our transforms
uniform mat4 ModelMatrix;

uniform float normalSize;
uniform vec4 vertNormalColour;
uniform vec4 faceNormalColour;

varying mat4 mvp;
varying vec4 normal;
uniform bool drawFaceNormals;
uniform bool drawVertexNormals;

void main(void)
{
	mvp=projectionMatrix*(ViewMatrix*ModelMatrix);
  gl_Position = mvp*gl_Vertex;
	normal=mvp*vec4(gl_Normal,0);
}
